Check&Place API Reference
HomeSimpra POSSimpra InventoryCheck&Place
HomeSimpra POSSimpra InventoryCheck&Place
  1. Revenue Centers
  • Introduction
  • Anonym Customers
    • create
      POST
    • update
      PATCH
  • Calendars
    • calendar
      GET
  • Customer Types
    • index
      GET
  • Customers
    • create
      POST
    • destroy
      DELETE
    • show
      GET
    • update
      PATCH
    • history
      GET
    • in blacklist
      PATCH
    • index
      POST
    • out blacklist
      PATCH
    • reports
      GET
    • reservations
      POST
    • search
      GET
    • sitting search
      POST
  • Daily Notes
    • daily note
      POST
    • show
      GET
  • Dashboard
    • daily report
    • summary report
    • weekly report
  • Events
    • create
    • index
    • destroy
    • update
  • Health Checks
    • live
  • Off Days
    • calendar
    • create
    • index
    • destroy
    • Update
  • Organizations
    • add_favorite
    • index
    • add_favorite
  • Reasons
    • index
  • References
    • create
    • index
    • show
    • update
  • Reports
    • mobile reports
    • web reports
  • Reservation Notifications
    • create
    • sms
  • Reservation Payments
    • change-status
    • create
    • update
    • reactivate
  • Reservation Requests
    • approve
    • count
    • create
    • history
    • index
    • reject
    • update
  • Reservations
    • batch check out
    • cancel
    • check duplicate
    • check in
    • check out
    • confirm
    • create
    • index
    • delay
    • delayed calendars
    • group by day
    • history
    • rollback
    • show
    • undo check in
    • upcoming reservations
    • update
    • view list
  • Revenue Centers
    • create
      POST
    • index
      GET
    • destroy
      DELETE
    • show
      GET
    • update
      PATCH
    • insert
      POST
  • Reviews
    • index
    • show
  • Search
    • Customers
    • Reservations
    • Integration
  • Slots
    • capacities
    • create
    • index
    • destroy
    • update
  • Stores
    • add favorite
    • remove favorite
    • index
    • show
    • update
  • Table Plan Objects
    • create
    • index
    • destroy
    • update
    • objects
  • Tables
    • assign
    • available-capacities
    • available-for-assign
    • discharge
    • index
    • layout
    • next-reservations
    • reservations
    • reset
    • revoke
    • rollback
    • save
    • sitting-reservations
    • split
    • status
  • Tags
    • index
  • Users
    • create
    • index
    • current-user
    • destroy
    • show
    • update
    • user-check
  • Extensions
    • index
  • License
    • index
    • store_license
  • Wallets
    • create
    • destroy
    • index
    • set_default
  1. Revenue Centers

create

Production
https://api.checkandplace.com
Production
https://api.checkandplace.com
POST
/api/v1/revenue_centers
If the parent_id parameter is given, a child of the revenue center whose id is given is created. If slot parameter is filled, slot is created for the revenue center. They are not mandatory.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
API Key
Add parameter in header
EMPLOYEE_TOKEN
Example:
EMPLOYEE_TOKEN: ********************
API Key
Add parameter in header
STORE_PIN_CODE
Example:
STORE_PIN_CODE: ********************
API Key
Add parameter in header
SLUG_NAME
Example:
SLUG_NAME: ********************
or
Body Params application/json

Examples

Responses

🟢200OK
successful
This response does not have a body.
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.checkandplace.com/api/v1/revenue_centers' \
--header 'Authorization: <api-key>' \
--header 'EMPLOYEE_TOKEN: <api-key>' \
--header 'STORE_PIN_CODE: <api-key>' \
--header 'SLUG_NAME: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
    "grid_size_x": 0,
    "grid_size_y": 0,
    "average_reservation_time": 0,
    "interval_time_for_reservation": 0,
    "work_start_time": "09:00",
    "work_end_time": "18:00",
    "allow_reservation_request": true,
    "allow_online_reservation": true,
    "is_active": true,
    "translations": [
        {
            "locale": "string",
            "text": "string"
        }
    ],
    "slot": {
        "name": "string",
        "start_time": "09:00",
        "end_time": "13:00",
        "seating": true,
        "translations": [
            {
                "locale": "string",
                "text": "string"
            }
        ],
        "capacities": [
            {
                "start_time": "09:00",
                "end_time": "13:00",
                "capacity": 0
            }
        ],
        "online_capacities": [
            {
                "start_time": "09:00",
                "end_time": "13:00",
                "capacity": 0
            }
        ],
        "request_capacities": [
            {
                "start_time": "09:00",
                "end_time": "13:00",
                "capacity": 0
            }
        ]
    }
}'
Modified at 2026-03-09 18:33:58
Previous
view list
Next
index
Built with